import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { provideHttpClient, withFetch } from '@angular/common/http'; 
import { FormsModule } from '@angular/forms';
import { AppComponent } from './app.component';
import { WorkOrdersComponent } from './work-orders/work-orders.component';
import { WorkOrderService } from './services/work-order.service'; 
import { AppRoutingModule } from './app-routing.module';
import { CommonModule } from '@angular/common';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { NewWorkOrderModalComponent } from './new-work-order-modal/new-work-order-modal.component';
@NgModule({
  declarations: [
    AppComponent,
    WorkOrdersComponent,
    NewWorkOrderModalComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule, 
    CommonModule,
    NgbModule
  ],
  providers: [WorkOrderService, provideHttpClient(withFetch())],
  bootstrap: [AppComponent]
})
export class AppModule { }